OXID module for additional password validation, strength visualization and expiry rules.

Installs: 4 908

Dependents: 0

Suggesters: 0

Security: 0

Stars: 2

Watchers: 12

Forks: 6

Open Issues: 2

Type:oxideshop-module

1.0.0 2021-02-12 17:17 UTC

This package is auto-updated.

Last update: 2022-09-26 17:00:32 UTC


README

OXID module for additional password validation, strength visualization and expiry rules.

Professional Support

Do you or does your client need this module in a stable and reliable environment? Then request your professional support right now.

Contact us for a support contract that fit to your needs and may include things like:

  • feature implementation
  • free updates
  • installation support
  • bug fixes

Please contact professional-services@oxid-esales.com to get an offer.

Installation

  1. composer require oxid-professional-services/password-policy
  2. composer update
  3. Add missing blocks to your templates. See https://github.com/OXID-eSales/flow_theme/pull/154/files
  4. Activate module it in admin area or call vendor/bin/oe-console oe:module:activate oxpspasswordpolicy [--shop-id=<The Shop ID>]

Usage

In the admin area, go to Administer Users -> Password Policy and adjust default settings to:

  • Set preferred password strength requirements
  • Set account block options on bad password attempts